Last modified: 2012-08-04 20:48:49 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26539 - lqt.pg.sql doesn't match current db schema.
lqt.pg.sql doesn't match current db schema.
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
LiquidThreads (Other open bugs)
unspecified
All All
: Normal major (vote)
: ---
Assigned To: Nobody - You can work on this!
: patch, patch-need-review
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2011-01-02 03:55 UTC by Andrew Zaborowski
Modified: 2012-08-04 20:48 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
This makes it work for me (based on lqt.sql changes) and adds a lqt-drop.sql script for easy dropping of all the created tables and sequences. (3.57 KB, patch)
2011-01-02 03:55 UTC, Andrew Zaborowski
Details

Description Andrew Zaborowski 2011-01-02 03:55:48 UTC
Created attachment 7952 [details]
This makes it work for me (based on lqt.sql changes) and adds a lqt-drop.sql script for easy dropping of all the created tables and sequences.

The SQL script for creating the tables for pgsql seems outdated causing sql errors when loading a discussion page because of a missing column, bad column constraints and incorrect sequence names.
Comment 1 Sumana Harihareswara 2011-12-23 18:21:05 UTC
Adding "need-review" keyword to indicate patch awaits review.
Comment 2 Andrew Garrett 2012-02-10 19:36:43 UTC
Hey Andrew,

Thanks for your contribution, and I'm really sorry that it's taken me this long to find your patch.

I've applied your patch in r111191, and this bug is now FIXED.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links